# Anonymize Component
Microservice for anonymize data from the databases.

## Table of Contents

1. [Build](#build)
1. [Docker](#docker)
1. [Configuration](#configuration)
   1. [Environment](#environment)
1. [API Reference](#api-reference)
1. [License](#license)


## Build
Requirements:
* Docker

## Docker

Build docker image:

```bash
$ docker build -t urbanite/anonymize .
```

Run docker image:

```bash
$ docker run -it -p 80:80 urbanite/anonymize
```

## Configuration

### Environment

| Variable| Description | Default Value |
| :--- | :--- | :--- |
| `DATA_STORAGE_URL` | The url of the exporter. | `http://exporter:8080` |

e.g.
```bash
$ docker run -it -p 80:80 -e DATA_STORAGE_URL=http://exporter:8080
```
## API Reference
When the component is deployed, the API reference is accessible from
http://\<server\>/data/swagger-ui/index.html?configUrl=/data/v3/api-docs/swagger-config

## License

[Apache License, Version 2.0](LICENSE.md)
